summaryrefslogtreecommitdiff
path: root/tests/cert-tests/provable-privkey-rsa2048
diff options
context:
space:
mode:
Diffstat (limited to 'tests/cert-tests/provable-privkey-rsa2048')
-rwxr-xr-xtests/cert-tests/provable-privkey-rsa204821
1 files changed, 11 insertions, 10 deletions
diff --git a/tests/cert-tests/provable-privkey-rsa2048 b/tests/cert-tests/provable-privkey-rsa2048
index 7f3e035a3a..3cd7aab441 100755
--- a/tests/cert-tests/provable-privkey-rsa2048
+++ b/tests/cert-tests/provable-privkey-rsa2048
@@ -37,19 +37,20 @@ if test "${rc}" != "0"; then
exit 1
fi
-${VALGRIND} "${CERTTOOL}" --verify-provable-privkey --load-privkey "$OUTFILE"
-rc=$?
+${VALGRIND} "${CERTTOOL}" --verify-provable-privkey --load-privkey "$OUTFILE" &
+PID1=$!
-if test "${rc}" != "0"; then
- echo "Could not verify the generated key 1"
- exit 1
-fi
+${VALGRIND} "${CERTTOOL}" --verify-provable-privkey --load-privkey "$OUTFILE" --seed "AF:BF:D6:96:BA:5D:05:E3:78:A9:4B:BF:E2:95:BA:F9:94:AC:B8:7F:BC:C8:ED:FF:7A:48:EE:4F" &
+PID2=$!
-${VALGRIND} "${CERTTOOL}" --verify-provable-privkey --load-privkey "$OUTFILE" --seed "AF:BF:D6:96:BA:5D:05:E3:78:A9:4B:BF:E2:95:BA:F9:94:AC:B8:7F:BC:C8:ED:FF:7A:48:EE:4F"
-rc=$?
+wait $PID1
+rc1=$?
-if test "${rc}" != "0"; then
- echo "Could not verify the generated key 2"
+wait $PID2
+rc2=$?
+
+if test "${rc1}" != "0" || test "${rc2}" != "0"; then
+ echo "test1: Could not verify the generated parameters"
exit 1
fi